Generate Random Bytes
const url = 'https://example.com/vault/v1/workspaces/example/engines/qibdo/cryptoKeys:generateRandomBytes';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"workspace":"example","bytes":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/vault/v1/workspaces/example/engines/qibdo/cryptoKeys:generateRandomBytes \ --header 'Content-Type: application/json' \ --data '{ "workspace": "example", "bytes": 1 }'Workspace-scoped collective custom method (AIP-136 verb on the parent
collection). Returns bytes of cryptographically strong random material.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The workspace whose namespace the random material is drawn from.
Request Body required
Section titled “Request Body required ”Request payload for Generate Random Bytes
Carries the input fields required to generate random bytes.
object
The workspace whose namespace the random material is drawn from.
The number of random bytes to return (1 – 4096).
Example generated
{ "workspace": "example", "bytes": 1}Responses
Section titled “ Responses ”OK
Response payload from Generate Random Bytes
Carries the output produced by generate random bytes.
object
The random material.
Example generated
{ "random": "example"}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}